gnome-mag: POA_GNOME_Magnifier_Magnifier__epv Struct Reference

# POA_GNOME_Magnifier_Magnifier__epv Struct Reference

`#include <GNOME_Magnifier.h>`

## Data Fields
void * | _private
CORBA_string(* | _get_SourceDisplay )(PortableServer_Servant _servant, CORBA_Environment *ev)
void(* | _set_SourceDisplay )(PortableServer_Servant _servant, const CORBA_char *value, CORBA_Environment *ev)
CORBA_string(* | _get_TargetDisplay )(PortableServer_Servant _servant, CORBA_Environment *ev)
void(* | _set_TargetDisplay )(PortableServer_Servant _servant, const CORBA_char *value, CORBA_Environment *ev)
Bonobo_PropertyBag(* | getProperties )(PortableServer_Servant _servant, CORBA_Environment *ev)
CORBA_boolean(* | fullScreenCapable )(PortableServer_Servant _servant, CORBA_Environment *ev)
void(* | hideCursor )(PortableServer_Servant _servant, CORBA_Environment *ev)
void(* | showCursor )(PortableServer_Servant _servant, CORBA_Environment *ev)
CORBA_boolean(* | supportColorblindFilters )(PortableServer_Servant _servant, CORBA_Environment *ev)
GNOME_Magnifier_ZoomRegion(* | createZoomRegion )(PortableServer_Servant _servant, const CORBA_float zx, const CORBA_float zy, const GNOME_Magnifier_RectBounds *ROI, const GNOME_Magnifier_RectBounds *viewport, CORBA_Environment *ev)
GNOME_Magnifier_ZoomRegionList *(* | getZoomRegions )(PortableServer_Servant _servant, CORBA_Environment *ev)
CORBA_boolean(* | addZoomRegion )(PortableServer_Servant _servant, const GNOME_Magnifier_ZoomRegion region, CORBA_Environment *ev)
void(* | clearAllZoomRegions )(PortableServer_Servant _servant, CORBA_Environment *ev)
void(* | dispose )(PortableServer_Servant _servant, CORBA_Environment *ev)

## Detailed Description

Definition at line 1119 of file GNOME_Magnifier.h.

## Field Documentation

void* POA_GNOME_Magnifier_Magnifier__epv::_private

Definition at line 1120 of file GNOME_Magnifier.h.

CORBA_string(* POA_GNOME_Magnifier_Magnifier__epv::_get_SourceDisplay)(PortableServer_Servant _servant, CORBA_Environment *ev)

Referenced by get_skel_small_GNOME_Magnifier_Magnifier(), and magnifier_class_init().

void(* POA_GNOME_Magnifier_Magnifier__epv::_set_SourceDisplay)(PortableServer_Servant _servant, const CORBA_char *value, CORBA_Environment *ev)

Referenced by get_skel_small_GNOME_Magnifier_Magnifier(), and magnifier_class_init().

CORBA_string(* POA_GNOME_Magnifier_Magnifier__epv::_get_TargetDisplay)(PortableServer_Servant _servant, CORBA_Environment *ev)

Referenced by get_skel_small_GNOME_Magnifier_Magnifier(), and magnifier_class_init().

void(* POA_GNOME_Magnifier_Magnifier__epv::_set_TargetDisplay)(PortableServer_Servant _servant, const CORBA_char *value, CORBA_Environment *ev)

Referenced by get_skel_small_GNOME_Magnifier_Magnifier(), and magnifier_class_init().

Bonobo_PropertyBag(* POA_GNOME_Magnifier_Magnifier__epv::getProperties)(PortableServer_Servant _servant, CORBA_Environment *ev)

Referenced by magnifier_class_init().

CORBA_boolean(* POA_GNOME_Magnifier_Magnifier__epv::fullScreenCapable)(PortableServer_Servant _servant, CORBA_Environment *ev)

Referenced by magnifier_class_init().

void(* POA_GNOME_Magnifier_Magnifier__epv::hideCursor)(PortableServer_Servant _servant, CORBA_Environment *ev)

Referenced by magnifier_class_init().

void(* POA_GNOME_Magnifier_Magnifier__epv::showCursor)(PortableServer_Servant _servant, CORBA_Environment *ev)

Referenced by magnifier_class_init().

CORBA_boolean(* POA_GNOME_Magnifier_Magnifier__epv::supportColorblindFilters)(PortableServer_Servant _servant, CORBA_Environment *ev)

Referenced by magnifier_class_init().

GNOME_Magnifier_ZoomRegion(* POA_GNOME_Magnifier_Magnifier__epv::createZoomRegion)(PortableServer_Servant _servant, const CORBA_float zx, const CORBA_float zy, const GNOME_Magnifier_RectBounds *ROI, const GNOME_Magnifier_RectBounds *viewport, CORBA_Environment *ev)

Referenced by magnifier_class_init().

GNOME_Magnifier_ZoomRegionList*(* POA_GNOME_Magnifier_Magnifier__epv::getZoomRegions)(PortableServer_Servant _servant, CORBA_Environment *ev)

Referenced by magnifier_class_init().

CORBA_boolean(* POA_GNOME_Magnifier_Magnifier__epv::addZoomRegion)(PortableServer_Servant _servant, const GNOME_Magnifier_ZoomRegion region, CORBA_Environment *ev)

Referenced by magnifier_class_init().

void(* POA_GNOME_Magnifier_Magnifier__epv::clearAllZoomRegions)(PortableServer_Servant _servant, CORBA_Environment *ev)

Referenced by magnifier_class_init().

void(* POA_GNOME_Magnifier_Magnifier__epv::dispose)(PortableServer_Servant _servant, CORBA_Environment *ev)

Referenced by magnifier_class_init().

The documentation for this struct was generated from the following file:

- GNOME_Magnifier.h